/************************************************************
* Copyrigth 2006 Miguel Angel Montano Medina UNAM           *
* Servidor web embebido                                     *
* Este software puede ser usado, copiado, modificado        *
* y distribuido por cualquier persona para usos personales  *
* o de investigacion siempre y cuando se mantenga esta      *
* licencia presente. No se autoriza el uso de este software *
* para fines comerciales.                                   *
************************************************************/

#ifndef _GLOBALES_H_
#define _GLOBALES_H_

//*******************************************************
//	Direccion IP almacenada en eeprom!
//*******************************************************


#define DEF_IP0 192
#define DEF_IP1 168
#define DEF_IP2 1
#define DEF_IP3 150

//*******************************************************
//	Direccion Multicast IP
//*******************************************************


#define DEF_MC0 239
#define DEF_MC1 192
#define DEF_MC2 0
#define DEF_MC3 1

#define DEF_TTLMC  1


//*******************************************************
//	Direccion MAC
//*******************************************************

#define MAC_ADDR_0 0
#define MAC_ADDR_1 0x0d
#define MAC_ADDR_2 0x93
#define MAC_ADDR_3 0xb7
#define MAC_ADDR_4 0x1e
#define MAC_ADDR_5 0xa6

//*******************************************************
//	Definicion de puerto tcp http
//*******************************************************
#define  DEF_TCP_PORT_H      0x00
#define  DEF_TCP_PORT_L      0x50  // 80 DECIMAL


//*******************************************************
//	Definicion de puerto udp ttr (transmision tiempo real)
//*******************************************************
#define  DEF_UDP_PORT_H     0x33
#define  DEF_UDP_PORT_L     0x0c  //  13068 DECIMAL


//*******************************************************
//	Definicion de puerto udp ttr (transmision tiempo real)
//*******************************************************
#define  DEF_MC_PORT_H     0x30
#define  DEF_MC_PORT_L     0x0c  //  12300 DECIMAL


// tamao del paquete ethernet: 1514 bytes (con todo)

#define MAX_MSS      1460      //tam maximo de tcp_buf 1460 max
//#define MSS          800     //tam maximo de tcp_buf 1460 max
#define MTU          MAX_MSS+40   //40 de cabecera tcp/ip
#define MAX_PACKET   MTU+14   //14 de cabecera ethernet


//*******************************************************
//	Numero maximo de clientes
//*******************************************************
#define MAX_CLIENTES 10

uint packet[MAX_PACKET];   // el bufer de recepcion y transmision
uint16 packet_len;         // longitud del paquete dentro del bufer

/*
void ini_aplicacion();
sint aplicacion();
void re_aplicacion();

sint continua_aplicacion();
*/

#endif
