/************************************************************
* Copyrigth 2006 Miguel Angel Montano Medina UNAM           *
* Servidor web embebido                                     *
* Este software puede ser usado, copiado, modificado        *
* y distribuido por cualquier persona para usos personales  *
* o de investigacion siempre y cuando se mantenga esta      *
* licencia presente. No se autoriza el uso de este software *
* para fines comerciales.                                   *
************************************************************/

#ifndef _TIMER_C_
#define _TIMER_C_

// fclk=40M/4=10MHz
// frec_T0=10M/16=625000Hz
// Periodo_T0=1.6us
// Para Overflow en 100ms => 62500
// T0 inicia en 3036
#define TMAX   3036

uint c_tiempo; // se incrementa en 1 cada 100ms

#INT_TIMER0
void timer_int(){
   c_tiempo++;
   set_timer0(TMAX);
}

void timers_init(){
   c_tiempo=0;
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_16);
   set_timer0(TMAX);
   enable_interrupts(INT_TIMER0);
   enable_interrupts(GLOBAL);
}

void parar_timer(){
   disable_interrupts(INT_TIMER0);
   disable_interrupts(GLOBAL);
}




#endif
