/************************************************************
* Copyrigth 2006 Miguel Angel Montano Medina UNAM           *
* Servidor web embebido                                     *
* Este software puede ser usado, copiado, modificado        *
* y distribuido por cualquier persona para usos personales  *
* o de investigacion siempre y cuando se mantenga esta      *
* licencia presente. No se autoriza el uso de este software *
* para fines comerciales.                                   *
************************************************************/

#include <16F819.h>
#fuses INTRC,NOWDT,NOPROTECT,NOBROWNOUT,NOLVP,NOMCLR,NOPUT
#device ADC=10
#use delay(clock=4000000)
#case

#use fast_io(A)
#use fast_io(b)

// SENSOR UNO
#define NODO
#define MIDIR  0xb2
#define CTDIR  0xA0
#define TIPO   0x3000  // temperatura


#byte ADCON0  = 0X1F
#bit ADCS1  = ADCON0.7
#bit ADCS0  = ADCON0.6
#bit CHS2   = ADCON0.5
#bit CHS1   = ADCON0.4
#bit CHS0   = ADCON0.3
#bit GO     = ADCON0.2
#bit ADON   = ADCON0.0
#byte ADCON1  = 0X9F


#include "nrf2401.c"
#include "defs.h"
#include "tablas.h"
#include "comun.c"


void main(){
   init_pic();
   init_nrf();
   iniciar();
}

