/************************************************************
* Copyrigth 2006 Miguel Angel Montano Medina UNAM           *
* Servidor web embebido                                     *
* Este software puede ser usado, copiado, modificado        *
* y distribuido por cualquier persona para usos personales  *
* o de investigacion siempre y cuando se mantenga esta      *
* licencia presente. No se autoriza el uso de este software *
* para fines comerciales.                                   *
************************************************************/

import java.util.*;
import java.io.*;
import java.util.zip.*;
import java.util.*;

public class makerom {

    public void comprimir_gzip(FileInputStream in, FileOutputStream fos) throws Exception{
	try {
	    // Create the GZIP output stream
	    GZIPOutputStream out = new GZIPOutputStream(fos);

	    // Transfer bytes from the input file to the GZIP output stream
	    byte[] buf = new byte[1024];
	    int len;
	    while ((len = in.read(buf)) > 0) {
		out.write(buf, 0, len);
	    }
	    in.close();
	    // Complete the GZIP file
	    out.finish();
	} catch (IOException e) {}
    }/*
       else{
       try {
       // Open the input file
       FileInputStream in = new FileInputStream(archivos[i]);
       int chr;
       while ((chr = in.read())!=-1){
       fos.write(chr);
       }
       in.close();
       } catch (IOException e) {}
       }
       }
       fos.close();
       }*/
	
    public static void main (String args[]) throws Exception{
	int dir,n,tam_total;
	makerom mr=new makerom();
	File entrada=new File("html");
	FileOutputStream fo=new FileOutputStream("imagen.rom");
		
	if(entrada.exists() && entrada.isDirectory()){
	    DataOutputStream out = new DataOutputStream(fo);
	    File[] archivos=entrada.listFiles();
			
	    n=(short)archivos.length;
	    out.writeByte(n);
	    dir=(short)(n*27+1);
	    tam_total=dir;
	    System.out.println("Direccion\tTamano\tNombre");
	    for(int i=0;i<n;i++){
		int tam;
				
		if(archivos[i].getName().indexOf(".html")>0){
		    File ftemp=File.createTempFile("mkrom","gzip");
		    ftemp.deleteOnExit();
		    FileOutputStream os=new FileOutputStream(ftemp);
		    mr.comprimir_gzip(new FileInputStream(archivos[i]),os);
		    os.close();
		    tam=(int)ftemp.length();
		}
		else{
		    tam=(int)archivos[i].length();
		}
		tam_total+=tam;
		// escribir nombre
		String nombre=archivos[i].getName();
		out.writeBytes(nombre);
		for(int j=0;j<21-nombre.length();j++)
		    out.writeByte(0);
		// escribir direccion inicio
		out.writeShort(dir);
		// escribir tamano
		out.writeShort(tam);
		System.out.println(dir+"\t"+tam+"\t"+archivos[i].getName());
		dir+=tam;
		//escribir tipo
		int t;
		if(nombre.indexOf(".egi")>0){
		    t=1; // chunked
		}else if(nombre.indexOf(".js")>0){
		    t=1; // chunked
		}else if(nombre.indexOf(".html")>0){
		    t=2; // gzip
		} else {
		    t=0; // binario
		}
		out.writeByte(t);
				
		//escribir mime
		if(nombre.indexOf(".html")>0){
		    t=1;
		}
		else if(nombre.indexOf(".egi")>0){
		    t=1;
		}
		else if(nombre.indexOf(".gif")>0){
		    t=2;
		}
		else if(nombre.indexOf(".jpg")>0){
		    t=4;
		}
		else if(nombre.indexOf(".png")>0){
		    t=3;
		}
		else if(nombre.indexOf(".ico")>0){
		    t=5;
		}
		else if(nombre.indexOf(".js")>0){
		    t=6;
		}
		else{
		    t=0; //text/plain
		}
		out.writeByte(t);

	    }
	    for(int i=0;i<n;i++){
		FileInputStream in = new FileInputStream(archivos[i]);
		if(archivos[i].getName().indexOf(".html")>0){
		    mr.comprimir_gzip(in,fo);
		}
		else{
		    int chr=0;
		    while ((chr = in.read())!=-1){
			fo.write(chr);
		    }
		    in.close();
		}
	    }	
	    fo.close();
	    System.out.println("Total: "+tam_total);
	    System.out.println("Capacidad: "+(float)(tam_total/65536.0)*100.0+"%");

	}
	else{
	    System.out.println("No se encuentra el directorio html");
	}
    }
}
